<?php

namespace App\Datatables\Shop;

use Yajra\DataTables\Html\Column;
use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\Order;

class OrdersDataTable extends DataTable
{
    public $model_name = 'orders';

    public function query(Order $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('name'),
            $this->makeColumnButtons(),
        ];
    }
}
